Follow

Requirements and Setup

Updated

To be able to run the Driver app application, you must follow the requirements below:

  1. The use of the Driver App must be enabled for the Frotcom account for whom the driver is working;
  2. The driver must have a smartphone running Android OS version 5.0 or higher;
  3. The driver must download the app from the Google Playstore;
  4. The driver requests an initiation code from the Fleet Administrator;
  5. The driver then sets their confidential password, using the code they have received.
Alternative for steps 3/4: the Fleet Administrator can invite the driver to download the app and send the initial code (for the driver to set up a password).

 

Important note:

Due to the trade ban applied by the United States to Huawei, new smartphones from this manufacturer do not support Google Services such as Google Play Store or Google Maps. To our knowledge, this affects phones models Huawei P40 and P40 Pro, Mate 30 series and Mate Xs.

This means that Frotcom Driver will not work on these phone models, and we do not foresee that this ban is going to be lifted any time soon. At the same time, without Google Maps, there is no quick workaround that can be implement.

For this reason, you might consider choosing other phone models if you are planning to use Frotcom Driver.

Was this article helpful?
0 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk